Jump to:
<a href='' ng-click='openPlantsList()'>Plants list</a>
<hr>
<h2 ng-if="!isNew">
    Editace rostliny&nbsp;&nbsp;<span style="font-size:0.8em;font-weight:100;" ng-if="modelChanged"><md-icon
        style="color:red;" md-font-icon="material-icons">warning</md-icon>&nbsp;neuložené změny!</span>
</h2>
<h2 ng-if="isNew">
    Nová rostliny&nbsp;&nbsp;<span style="font-size:0.8em;font-weight:100;" ng-if="modelChanged"><md-icon
        style="color:red;" md-font-icon="material-icons">warning</md-icon>&nbsp;neuložené změny!</span>
</h2>

<form name="plantForm" class="editArticleDialog">
    <div class="md-dialog-content">
        <br/>
        <div layout="row" flex="100">
            <div layout="column" flex="auto">
                <div layout="row" flex="auto">
                    <md-input-container class="md-icon-float md-block" flex="auto">
                        <label>Name (cz)</label>
                        <md-icon class="name">
                            <img class="png-icon name" style="width: 24px; height: 24px;" src="public/flags/cz.png"/>
                        </md-icon>
                        <input ng-model="model.name" type="text" autocomplete="off">
                    </md-input-container>
                </div>
                <div layout="row">
                    <md-input-container class="md-icon-float md-block" flex="auto">
                        <label>Name (en)</label>
                        <md-icon class="name">
                            <img class="png-icon name" style="width: 24px; height: 24px;" src="public/flags/gb.png"/>
                        </md-icon>
                        <input ng-model="model.name_en" type="text" autocomplete="off">
                    </md-input-container>
                </div>
                <div layout="row">
                    <md-input-container class="md-icon-float md-block" flex="auto">
                        <label>Name (de)</label>
                        <md-icon class="name">
                            <img class="png-icon name" style="width: 24px; height: 24px;" src="public/flags/de.png"/>
                        </md-icon>
                        <input ng-model="model.name_de" type="text" autocomplete="off">
                    </md-input-container>
                </div>
                <div layout="row">
                    <md-input-container class="md-icon-float md-block" flex="auto">
                        <label>Name (sk)</label>
                        <md-icon class="name">
                            <img class="png-icon name" style="width: 24px; height: 24px;" src="public/flags/sk.png"/>
                        </md-icon>
                        <input ng-model="model.name_sk" type="text" autocomplete="off">
                    </md-input-container>
                </div>
                <div layout="row">
                    <md-input-container class="md-icon-float md-block" flex="auto">
                        <label>Name (lat)</label>
                        <input ng-model="model.name_lat" type="text" autocomplete="off">
                    </md-input-container>
                </div>
                <div layout="row">
                    <p>
                        <b>Publikace</b>
                    </p>
                </div>
                <div layout="row">
                    <md-switch ng-model="model.is_active" aria-label="Publikace">
                        {{getPublishedLabel()}}
                    </md-switch>
                </div>
                <div layout="row">
                    <p>
                        <b>Čeleď</b>
                    </p>
                </div>
                <div layout="row" flex="auto">
                    <md-radio-group ng-model="model.new_family" layout="row" flex="none">
                        <md-radio-button value="none">Bez čeledi</md-radio-button>
                        <md-radio-button value="chosen">Výběr ze seznamu</md-radio-button>
                        <md-radio-button value="new">Vytvořit novou...</md-radio-button>
                    </md-radio-group>
                </div>
                <br/><br/>
                <div layout="row" flex="auto">
                    <div layout="column" ng-if="model.new_family === 'new'" flex="auto">
                        <md-input-container flex-gt-sm="30">
                            <label>New family name (cz)</label>
                            <md-icon class="name">
                                <img class="png-icon name" style="width: 24px; height: 24px;"
                                     src="public/flags/cz.png"/>
                            </md-icon>
                            <input ng-model="model.family">
                        </md-input-container>
                        <div flex-gt-sm="5"></div>
                        <md-input-container flex="auto">
                            <label>New family name (lat)</label>
                            <input ng-model="model.family_lat">
                        </md-input-container>
                        <div flex-gt-sm="5"></div>
                        <md-input-container flex="auto">
                            <label>New family name (en)</label>
                            <md-icon class="name">
                                <img class="png-icon name" style="width: 24px; height: 24px;"
                                     src="public/flags/gb.png"/>
                            </md-icon>
                            <input ng-model="model.family_en">
                        </md-input-container>
                    </div>
                    <div layout="column" ng-if="model.new_family === 'chosen'" flex="auto">
                        <md-input-container class="md-block" flex-gt-sm="">
                            <label>Select family</label>
                            <md-select ng-model="model.family">
                                <md-option ng-repeat="family in families" value="{{family.id}}">
                                    {{family.name + '('+family.name_lat+')'}}
                                </md-option>
                            </md-select>
                        </md-input-container>
                    </div>
                </div>
                <br/><br/>
                <div layout="row" flex="auto">
                    <p>
                        <b>Category</b>
                    </p>
                </div>
                <div layout="row" flex="auto">
                    <md-radio-group ng-model="model.new_category" layout="row">
                        <md-radio-button value="none">Bez kategorie</md-radio-button>
                        <md-radio-button value="chosen">Výběr ze seznamu</md-radio-button>
                        <md-radio-button value="new">Vytvořit novou</md-radio-button>
                    </md-radio-group>
                </div>
                <br/><br/>
                <div layout="row">
                    <div layout="column" ng-if="model.new_category === 'new'" flex="auto">
                        <md-input-container flex-gt-sm="">
                            <label>New category name</label>
                            <input ng-model="model.category">
                        </md-input-container>
                    </div>
                    <div layout="column" ng-if="model.new_category === 'chosen'" flex="auto">
                        <md-input-container ng-if="model.new_category === 'chosen'" class="md-block" flex="auto">
                            <label>Vyberte kategorii</label>
                            <md-select ng-model="model.category">
                                <md-option ng-repeat="category in categories" value="{{category.id}}">
                                    {{category.name}}
                                </md-option>
                            </md-select>
                        </md-input-container>
                    </div>
                </div>
                <br/>
                <br/>
                <div layout="row" flex="auto">
                    <p>
                        <b>Tags</b>
                    </p>
                    <md-button class="md-raised md-primary" ng-click="addTag($event)">Create</md-button>
                    <md-button class="md-primary" ng-click="showAllTags()">Manage all tags</md-button>
                </div>
                <div layout="row" flex="auto">
                    <md-contact-chips flex-gt-sm="100" ng-model="model.tags" md-contacts="tagQuerySearch($query)"
                                      md-contact-name="name" md-require-match="true"
                                      md-highlight-flags="i" filter-selected="filterSelected"
                                      placeholder="Start type to add tags"></md-contact-chips>
                </div>
            </div>
            <div flex="5">
            </div>
            <div flex="30" ng-if="!isNew" layout="column">
                <div>
                    QR kód (klikem stáhni)
                    <br>
                    <qrcode data="{{getQrCode()}}" version="3" error-correction-level="L" size="250" download></qrcode>
                </div>
                <br>
                <div>
                    <md-input-container class="md-icon-float md-block" flex="80">
                        <label>Číselný Kód</label>
                        <md-icon class="name">
                            <img class="svg-icon name" style="width: 24px; height: 24px;"
                                 src="public/img/ic_fingerprint_black_24px.svg"/>
                        </md-icon>
                        <input ng-model="model.id" readonly></input>
                    </md-input-container>
                </div>
                <div>
                    <md-input-container class="md-icon-float md-block" flex="80">
                        <label>URL linka</label>
                        <md-icon md-font-icon="material-icons">link</md-icon>
                        <input title="{{getQrCode()}}" value="{{getQrCode()}}" readonly></input>
                    </md-input-container>
                </div>
                <div>
                    <md-button class="md-raised" target="_blank" ng-click="opnRegistryLink(getQrCode())">Jdi do
                        registru
                    </md-button>
                </div>
            </div>
        </div>
        <br/>
        <br/>
        <div layout="row">
            <h3>Obsah</h3>
            <div flex="5"></div>
            <md-input-container flex="20" ng-if="contentLanguageSelectorVisible">
                <label>Jazyk obsahu</label>
                <md-select ng-model="formSettings.selectedContentLanguage">
                    <md-option value="cs">Česky</md-option>
                    <md-option value="en">Anglicky</md-option>
                </md-select>
            </md-input-container>
        </div>
        <plant-blocks-edit plant="model" blocks="model.blocks" delete-blocks="model.delete_blocks"
                           show-language="formSettings.selectedContentLanguage"></plant-blocks-edit>
        <br/><br/>
        <div layout="column" flex="90">
            <p><b>Rozšíření (pouze text)</b></p>
            <md-input-container>
                <label>Seznam krajin, kontinentu a lokacií</label>
                <textarea name="occurrence" ng-model="model.occurrence"></textarea>
            </md-input-container>
        </div>
        <br/><br/>
        <div layout="column" flex="90">
            <p><b>Audio doprovod</b></p>
            <div layout="row"  layout-align="start center">
                <md-icon style="margin:5px;">
                    <img class="png-icon name" style="width: 24px; height: 24px;" src="public/flags/cz.png"/>
                </md-icon>
                <div>Čeština:</div>
                <div style="margin-left: 10px;">
                    <button ng-if="!audioCzUpload && !model.audio_cz" type="file" ngf-select="uploadCzAudioFile($file, $invalidFiles)" accept="audio/mp3"
                            ngf-max-height="1000" ngf-max-size="10MB">Vybrat soubor...
                    </button>
                </div>
                <div style="margin-left: 10px;" ng-if="audioCzUpload"><md-progress-linear md-mode="determinate" value="{{audioCzUploadProgress}}"></md-progress-linear></div>
                <div ng-if="model.audio_cz" layout="row" layout-align="start center">
                    <div>
                        <md-button ng-click="togglePlayAudioCz()" class="md-fab md-mini md-primary" aria-label="Přehraj">
                            <md-icon ng-if="!audio_cz_status || audio_cz_status==='pause'" md-font-icon="material-icons">play_arrow</md-icon>
                            <md-icon ng-if="audio_cz_status==='playing'" md-font-icon="material-icons">pause</md-icon>
                        </md-button>
                        <md-button ng-click="resetAudioCzPlay()" class="md-fab md-mini md-primary" aria-label="Přehraj">
                            <md-icon md-font-icon="material-icons">stop</md-icon>
                        </md-button>
                    </div>
                    <div ng-if="audio_cz_status==='playing'||audio_cz_status==='pause'">
                        {{audio_cz_progress}}/{{audio_cz_total}}
                    </div>
                    <md-button ng-click="removeCzAudio()" class="md-fab md-mini" aria-label="Smaž">
                        <md-icon md-font-icon="material-icon">delete</md-icon>
                    </md-button>
                </div>
            </div>
        </div>
        <br/><br/>
        <div layout="column">
            <p><b>Aut(s) of texts</b></p>
            <authors-block authors="model.authors"></authors-block>
        </div>
        <br/><br/>
        <div layout="row">
            <h3>Seznam zdroju</h3>
            <div flex="5"></div>
            <md-input-container flex="20">
                <label>Jazyk zdroju</label>
                <md-select ng-model="formSettings.selectedContentLanguage">
                    <md-option value="cs">Česky</md-option>
                    <md-option value="en">Anglicky</md-option>
                </md-select>
            </md-input-container>
        </div>
        <sources-editor content="model.sources" content-en="model.sources_en"
                        show-language="formSettings.selectedContentLanguage"></sources-editor>
        <br/><br/>
        <div layout="row">
            <b>More images (not related to text above, but more to plant itself)</b>
        </div>
        <div layout="row" flex="100">
            <images-block flex="100" images="model.images"></images-block>
        </div>
        <br/> Location(s): {{getLocationFromMap()}}
        <br>
        <ui-gmap-google-map center='map.center' zoom='map.zoom' events='map.events' bounds='map.bounds'>
            <ui-gmap-markers models="model.markers" coords="'self'" icon="'icon'" events='map.markerEvents'
                             options='map.markerOptions'>
                <ui-gmap-windows show="show">
                    <div ng-controller="infoWindowCtrl">
                        <span ng-non-bindable>
                            <b>#{{id}}:
                                {{title}}</b>
                        </span><br/>
                        <br/>
                        <button ng-click="deleteMarker()">delete</button>
                    </div>
                </ui-gmap-windows>
            </ui-gmap-markers>
        </ui-gmap-google-map>

    </div>
    <div class="floating-bottom-action-buttons-bar">
        <div layout="row">
            <span flex="init" style="padding-left: 10px;" layout-align="left center" layout="row">
                <div style="color: blue;" ng-if="modelChanged"><md-icon style="color:red;"
                                                                        md-font-icon="material-icons">warning</md-icon>&nbsp;neuložené změny!</div>
            </span>
            <span flex></span>
            <md-button ng-click="saveAndClose()" ng-disabled="plantForm.$invalid || saving || saveEnabled === false"
                       md-autofocus>
                {{getSaveAndCloseLabel()}}
            </md-button>
            <md-button ng-click="save()" ng-disabled="plantForm.$invalid || saving || saveEnabled === false"
                       md-autofocus>
                {{getSaveLabel()}}
            </md-button>
            <md-button ng-click="cancel()" style="margin-right:20px;">
                Cancel
            </md-button>
        </div>
    </div>
    <br/>
    <br/>
</form>
